/*
This file is part of the IODEV (Input Output DEVices) component of BOCHS.

The IODEV component is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

The IODEV component is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with the IODEV component; see the file COPYING.  If not, write to
the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/




#ifndef _CONFIG_H
#define _CONFIG_H 1


#if 0
/* --- Solaris 2.3 && SunOS 4.1.3 on SPARC w/ SunPRO C --- */
#define HAVE_SIGACTION  1

#ifndef BIG_ENDIAN
#define BIG_ENDIAN 1
#endif /* ifndef BIG_ENDIAN */

#define INTERRUPT_SCALE_FACTOR 5
#define BX_CYCLES_PER_FD_CHECK 100
#endif /* #if 0 */



/* --- Linux .99p15 on i486 w/ gcc --- */
#define HAVE_SIGACTION 1

#ifndef LITTLE_ENDIAN
#define LITTLE_ENDIAN  1
#endif /* #ifndef LITTLE_ENDIAN */

#define INTERRUPT_SCALE_FACTOR 5
#define BX_CYCLES_PER_FD_CHECK 100





#endif   /* _CONFIG_H */
